Bug 1367128 - [RFE] upload FQDN with facts
Summary: [RFE] upload FQDN with facts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.7
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: 6.9
Assignee: Kevin Howell
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1367126
Blocks: 1355878
TreeView+ depends on / blocked
 
Reported: 2016-08-15 15:49 UTC by Justin Sherrill
Modified: 2017-03-21 10:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1367126
Environment:
Last Closed: 2017-03-21 10:55:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
GUI Fqdn fact (296.31 KB, image/png)
2016-11-08 10:42 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1508 None closed 1367128: Add network.fqdn fact 2020-02-05 01:16:55 UTC
Red Hat Bugzilla 1356714 None CLOSED After upgrade, all of my hosts are duplicated one with shortname, one with fqdn 2018-07-17 06:38:35 UTC
Red Hat Bugzilla 1402103 None None None Never
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Internal Links: 1402103

Description Justin Sherrill 2016-08-15 15:49:46 UTC
+++ This bug was initially created as a clone of Bug #1367126 +++

Description of problem:

Currently subscription-manager does not upload fqdn with its facts, only equivalent of 'hostname'.  It would be very useful for it to also upload the equivalent of 'hostname -f'

I expect this would be uploaded as something like 'network.fqdn'


Version-Release number of selected component (if applicable):
subscription-manager-1.15.9-15.el7

How reproducible:
always

Steps to Reproduce:
1.  configure your system such that 'hostname' returns the host's shortname, and 'hostname -f' returns the fqdn
2.  Run 'subscription-manager facts --list | grep fqdn'

Actual results:
no fqdn listed


Expected results:
should upload fqdn.

Additional info:
This is extremely important for Satellite 6.2 and we are planning on building in support for this fact.

Some 3rd party software requires 'hostname' be set to the shortname.

Comment 3 Shwetha Kallesh 2016-11-08 10:42:09 UTC
Created attachment 1218480 [details]
GUI Fqdn fact

[root@rhel69-shwetha ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.0.19-1
subscription management rules: 5.20
subscription-manager: 1.18.4-1.el6
python-rhsm: 1.18.4-1.el6

[root@rhel69-shwetha ~]# hostname -f
rhel69-shwetha.usersys.redhat.com


[root@rhel69-shwetha ~]# subscription-manager facts --list | grep 'fqdn'
network.fqdn: rhel69-shwetha.usersys.redhat.com

Comment 6 errata-xmlrpc 2017-03-21 10:55:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.